#!/bin/bash

if [[ -v KOPIA_PG_DATABASE ]];
then
    PGPASSWORD=$KOPIA_PG_PASSWORD pg_dump --host=$KOPIA_PG_HOST --username=$KOPIA_PG_USER $KOPIA_PG_DATABASE > /backup/database/$KOPIA_PG_DATABASE.sqldump || exit 1
fi

kopia repository connect filesystem \
    --path /repository \
    --override-hostname ${KOPIA_HOSTNAME} \
    --override-username ${KOPIA_USERNAME}

kopia snapshot create /backup
